Update JWT Settings

Update JWT settings for the currently active organization.

Authentication

AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Request

This endpoint expects an object.
api_token_ttl_daysintegerRequired1-365
api_tokens_enabledbooleanOptional
Enable JWT API token authentication for this organization
legacy_api_tokens_enabledbooleanOptional
Enable legacy API token authentication for this organization

Response

api_token_ttl_daysinteger1-365
api_tokens_enabledboolean
Enable JWT API token authentication for this organization
legacy_api_tokens_enabledboolean
Enable legacy API token authentication for this organization